SerializableModel (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableModel

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableModel

All Implemented Interfaces:
  Serializable

    public class SerializableModel

extends Object
implements Serializable

`SerializableModel` class represent The template Model that can be serializable the TemplateModel class cannot be serializable since it contains `TemplateComponent` instances

Version:
  October 2008 (0.2)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Constructor Summary
`SerializableModel()`
`SerializableModel(String uniqueID, String author, Date dateCreated, Date lastEdit, String lastEditBy, String templateName, int columnWidth, int currPage, int marginBottom, int marginLeft, int marginRight, int marginTop, int pageHeight, int pageWidth, Vector<SerializableSection> sections, int totalPages, List<Metadata> metadata)`

Method Summary
`String` | `getAuthor()`
`int` | `getColumnWidth()`
`int` | `getCurrPage()`
`Date` | `getDateCreated()`
`Date` | `getLastEdit()`
`String` | `getLastEditBy()`
`int` | `getMarginBottom()`
`int` | `getMarginLeft()`
`int` | `getMarginRight()`
`int` | `getMarginTop()`
`List<Metadata>` | `getMetadata()`
`int` | `getPageHeight()`
`int` | `getPageWidth()`
`Vector<SerializableSection>` | `getSections()`
`String` | `getTemplateName()`
`int` | `getTotalPages()`
`String` | `getUniqueID()`
`void` | `setAuthor(String author)`
`void` | `setColumnWidth(int columnWidth)`
`void` | `setCurrPage(int currPage)`
`void` | `setDateCreated(Date dateCreated)`
`void` | `setLastEdit(Date lastEdit)`
`void` | `setLastEditBy(String lastEditBy)`
`void` | `setMarginBottom(int marginBottom)`
`void` | `setMarginLeft(int marginLeft)`
`void` | `setMarginRight(int marginRight)`
`void` | `setMarginTop(int marginTop)`
`void` | `setMetadata(List<Metadata> metadata)`
`void` | `setPageHeight(int pageHeight)`
`void` | `setPageWidth(int pageWidth)`
`void` | `setSections(Vector<SerializableSection> sections)`
`void` | `setTemplateName(String templateName)`
`void` | `setTotalPages(int totalPages)`
`void` | `setUniqueID(String uniqueID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableModel

    public SerializableModel()

### SerializableModel

    public SerializableModel(String uniqueID,
                             String author,
                             Date dateCreated,
                             Date lastEdit,
                             String lastEditBy,
                             String templateName,
                             int columnWidth,
                             int currPage,
                             int marginBottom,
                             int marginLeft,
                             int marginRight,
                             int marginTop,
                             int pageHeight,
                             int pageWidth,
                             Vector<SerializableSection> sections,
                             int totalPages,
                             List<Metadata> metadata)

Parameters:
  `templateName` - .
  `pageWidth` - .
  `pageHeight` - .
  `totalPages` - .
  `currPage` - .
  `marginLeft` - .
  `marginRight` - .
  `marginTop` - .
  `marginBottom` - .
  `columnWidth` - .
  `author` - .
  `dateCreated` - .
  `lastEditBy` - .
  `lastEdit` - .
  `sections` - .
  `metadata` - .

Method Detail

### getSections

    public Vector<SerializableSection> getSections()

  Returns:
    a vector containg pages that are a vector as well containing template elements

### setSections

    public void setSections(Vector<SerializableSection> sections)

  Parameters:
    `sections` - .

### getMetadata

    public List<Metadata> getMetadata()

  Returns:
    .

### setMetadata

    public void setMetadata(List<Metadata> metadata)

  Parameters:
    `metadata` - .

### getMarginBottom

    public int getMarginBottom()

  Returns:
    .

### setMarginBottom

    public void setMarginBottom(int marginBottom)

  Parameters:
    `marginBottom` - .

### getMarginLeft

    public int getMarginLeft()

  Returns:
    .

### setMarginLeft

    public void setMarginLeft(int marginLeft)

  Parameters:
    `marginLeft` - .

### getMarginRight

    public int getMarginRight()

  Returns:
    .

### setMarginRight

    public void setMarginRight(int marginRight)

  Parameters:
    `marginRight` - .

### getMarginTop

    public int getMarginTop()

  Returns:
    .

### setMarginTop

    public void setMarginTop(int marginTop)

  Parameters:
    `marginTop` - .

### getPageHeight

    public int getPageHeight()

  Returns:
    .

### setPageHeight

    public void setPageHeight(int pageHeight)

  Parameters:
    `pageHeight` - .

### getPageWidth

    public int getPageWidth()

  Returns:
    .

### setPageWidth

    public void setPageWidth(int pageWidth)

  Parameters:
    `pageWidth` - .

### getTemplateName

    public String getTemplateName()

  Returns:
    .

### setTemplateName

    public void setTemplateName(String templateName)

  Parameters:
    `templateName` - .

### getTotalPages

    public int getTotalPages()

  Returns:
    .

### setTotalPages

    public void setTotalPages(int totalPages)

  Parameters:
    `totalPages` - .

### getColumnWidth

    public int getColumnWidth()

  Returns:
    .

### setColumnWidth

    public void setColumnWidth(int columnWidth)

  Parameters:
    `columnWidth` - .

### getCurrPage

    public int getCurrPage()

  Returns:
    .

### setCurrPage

    public void setCurrPage(int currPage)

  Parameters:
    `currPage` - .

### getAuthor

    public String getAuthor()

  Returns:
    .

### setAuthor

    public void setAuthor(String author)

  Parameters:
    `author` - .

### getLastEditBy

    public String getLastEditBy()

  Returns:
    .

### setLastEditBy

    public void setLastEditBy(String lastEditBy)

  Parameters:
    `lastEditBy` - .

### getDateCreated

    public Date getDateCreated()

  Returns:
    .

### setDateCreated

    public void setDateCreated(Date dateCreated)

  Parameters:
    `dateCreated` - .

### getLastEdit

    public Date getLastEdit()

  Returns:
    .

### setLastEdit

    public void setLastEdit(Date lastEdit)

  Parameters:
    `lastEdit` - .

### getUniqueID

    public String getUniqueID()

  Returns:
    the id

### setUniqueID

    public void setUniqueID(String uniqueID)

  Parameters:
    `uniqueID` - the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.